Name:           htop
Version:        3.4.1
Release:        %mkrel 1
Summary:        Interactive text-mode process viewer for Linux
Group:          Monitoring
License:        GPLv2+
URL:            https://htop.dev
Source0:        https://github.com/htop-dev/htop/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(hwloc)
BuildRequires:  pkgconfig(libcap)
BuildRequires:  pkgconfig(libnl-3.0)
BuildRequires:  pkgconfig(libnl-genl-3.0)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  lm_sensors-devel
# dlopened
Requires:	libnl-genl-3.so.200%{_arch_tag_suffix}
Requires:	libnl-3.so.200%{_arch_tag_suffix}

%description
htop is an interactive process viewer for Linux, similar to top.

Some advantages over top:

* you can scroll the list vertically and horizontally to see
  all processes and complete command lines
* htop starts faster than top
* you don't need to type the process number to kill a process
* you don't need to type the process number or the priority value to
  renice a process
* htop supports mouse operation

%prep
%autosetup -p1

%build
%configure \
        --enable-openvz \
        --enable-vserver \
        --enable-hwloc \
        --enable-sensors \
        --enable-delayacct \
        --enable-capabilities

%make_build

%install
%make_install

%files
%doc README AUTHORS NEWS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Apr 11 2025 daviddavid <daviddavid> 3.4.1-1.mga10
+ Revision: 2174670
- new version: 3.4.1

* Thu Mar 20 2025 wally <wally> 3.4.0-1.mga10
+ Revision: 2167417
- new version 3.4.0

* Sat Mar 09 2024 daviddavid <daviddavid> 3.3.0-1.mga10
+ Revision: 2048841
- new version: 3.3.0

* Tue Feb 14 2023 daviddavid <daviddavid> 3.2.2-2.mga9
+ Revision: 1941997
- enable hwloc, lm_sensors, delayacct and capabilities support

* Sun Feb 05 2023 daviddavid <daviddavid> 3.2.2-1.mga9
+ Revision: 1938385
- new version: 3.2.2

* Fri Sep 02 2022 neoclust <neoclust> 3.2.1-1.mga9
+ Revision: 1883515
- New version 3.2.1

* Thu Mar 17 2022 umeabot <umeabot> 3.0.5-2.mga9
+ Revision: 1797519
- Mageia 9 Mass Rebuild

* Tue Jan 26 2021 akien <akien> 3.0.5-1.mga8
+ Revision: 1673411
- Version 3.0.5

* Wed Dec 30 2020 akien <akien> 3.0.4-1.mga8
+ Revision: 1665663
- Version 3.0.4

* Thu Dec 17 2020 akien <akien> 3.0.3-1.mga8
+ Revision: 1660139
- Version 3.0.3

* Mon Oct 19 2020 akien <akien> 3.0.2-1.mga8
+ Revision: 1637036
- Version 3.0.2

* Tue Sep 08 2020 guillomovitch <guillomovitch> 3.0.1-1.mga8
+ Revision: 1623648
- new version 3.0.1

* Mon Aug 31 2020 shlomif <shlomif> 3.0.0-1.mga8
+ Revision: 1620275
- New version 3.0.0

* Sun Jun 28 2020 joequant <joequant> 2.2.0-4.mga8
+ Revision: 1599892
- fix gcc10 build

* Thu Feb 13 2020 umeabot <umeabot> 2.2.0-3.mga8
+ Revision: 1513506
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.2.0-2.mga7
+ Revision: 1298215
- Mageia 7 Mass Rebuild

* Wed May 02 2018 shlomif <shlomif> 2.2.0-1.mga7
+ Revision: 1225027
- New version 2.2.0

* Wed Apr 26 2017 akien <akien> 2.0.2-1.mga6
+ Revision: 1097730
- Version 2.0.2

* Wed May 18 2016 yuri_myasoedov <yuri_myasoedov> 2.0.1-1.mga6
+ Revision: 1016646
- replace %%{makeinstall} with %%{make_install}.
- update to new version 2.0.1.
+ colin <colin>
- New version: 2.0.0

* Tue Feb 02 2016 umeabot <umeabot> 1.0.3-4.mga6
+ Revision: 932782
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-3.mga5
+ Revision: 746296
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-2.mga5
+ Revision: 680192
- Mageia 5 Mass Rebuild

* Sat May 17 2014 sander85 <sander85> 1.0.3-1.mga5
+ Revision: 623411
- New version: 1.0.3

* Fri Oct 18 2013 umeabot <umeabot> 1.0.2-3.mga4
+ Revision: 505508
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 353342
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 guillomovitch <guillomovitch> 1.0.2-1.mga3
+ Revision: 316720
- new version

* Sat Sep 01 2012 shlomif <shlomif> 1.0.1-2.mga3
+ Revision: 286964
- New release (2) - rebuild for the changes in ncurses.
  ncurses was changed recently which broke htop. Recompiling appears to fix it.
  See:
  https://bugs.mageia.org/show_bug.cgi?id=7235

* Thu Jun 07 2012 jquelin <jquelin> 1.0.1-1.mga3
+ Revision: 256778
- update to 1.0.1

* Fri Dec 02 2011 jquelin <jquelin> 1.0-2.mga2
+ Revision: 175116
- fix mga#3432 - xfce crash
- fix xfce crash (mga#3432)

* Tue Nov 22 2011 jquelin <jquelin> 1.0-1.mga2
+ Revision: 170874
- update to 1.0

* Tue Jan 18 2011 ahmad <ahmad> 0.9-2.mga1
+ Revision: 21902
- drop old/unneeded scriptlets
+ jquelin <jquelin>
- imported package htop

